<template>
    <div>
        <!-- <van-cell-group>
          <van-cell title="品牌券转换成现金券" />
        </van-cell-group> -->

        <van-cell-group class="mt20">
            <van-field label="品牌券余额" readonly v-model="currentBalance">
            </van-field>
            <van-field label="品牌券转换成现金券" type="number" v-model="formData.amount"></van-field>
            <van-field label="品牌券转专区券" type="number" v-model="formData.amount_to_credit2"
                       v-if="this.credit1_enabled == 1"></van-field>
        </van-cell-group>
        <div class="pr10 pl10 mb10">
            <div class="m_btn mt50" @click="submit">提交</div>
        </div>

        <!-- brand coupon to zone coupon -->
        <!-- <van-cell-group>
          <van-cell title="CONVERT BRAND COUPON TO ZONE COUPON" />
        </van-cell-group> -->

        <!-- <van-cell-group class="mt20">
          <van-field label="品牌券余额" readonly v-model="currentBalance">
          </van-field>
        </van-cell-group>
        <div class="pr10 pl10 mb10">
          <div class="m_btn mt50" @click="submitCredit2">提交</div>
        </div> -->

    </div>
</template>
<script>
    export default {
        name: 'pinpaiExchange',
        data() {
            return {
                formData: {
                    amount: 0,
                    amount_to_credit2: 0,
                },
                credit1_enabled: ''
            }
        },
        computed: {
            currentBalance() {
                return this.userinfo.credit3
            }
        },
        created() {
            this.initValue()
        },
        methods: {
            initValue() {
              let that = this;
                this.getUserinfo().then(function (res) {
                    that.credit1_enabled = res.data.credit1_enabled;
                });

                setTimeout(function () {
                  console.log('this.credit1_enabled');
                  console.log(that.credit1_enabled);
                },2000)

            },
            submit() {
                if (this.formData.amount_to_credit2 <= 0 && this.formData.amount <= 0) {
                    return this.m_toast("不得少于1")
                }

                // if amount more than current balance
                if (
                    parseFloat(this.formData.amount) + parseFloat(this.formData.amount_to_credit2) > parseFloat(this.userinfo.credit3) ||
                    this.formData.amount > this.userinfo.credit3 ||
                    this.formData.amount_to_credit2 > this.userinfo.credit3
                ) {
                    return this.m_toast("余额不足")
                }

                this.m_loading()

                if (this.formData.amount > 0) {
                    let dataSend = {
                        amount: this.formData.amount
                    }
                    this.api.pinpai_exchange(dataSend).then(res => {
                        if (this.formData.amount_to_credit2 <= 0) {
                            this.m_hideLoading()
                            this.m_success('成功')
                        }
                        this.formData.amount = 0
                        this.initValue()
                    })
                }

                if (this.formData.amount_to_credit2 > 0) {
                    let data = {
                        amount: this.formData.amount_to_credit2
                    }
                    this.api.zone_coupon_exchange(data).then(res => {
                        if (this.formData.amount <= 0) {
                            this.m_hideLoading()
                            this.m_success('成功')
                        }
                        this.formData.amount_to_credit2 = 0
                        this.initValue()
                    })
                }

                // if(this.formData.amount > 0 && this.formData.amount > this.userinfo.credit3)
                // {
                //     return this.m_toast("余额不足")
                // } else
                // {
                //     this.api.pinpai_exchange(this.formData).then(res => {
                //         // this.m_hideLoading()
                //         this.m_success('成功')
                //         this.formData.amount = 0
                //         this.initValue()
                //     })
                // }

                // this.m_loading()
            },
            resetData(name) {
                this.formData.amount = 0
                this.formData.amount_to_credit2 = 0
                this.initValue()
            },
            submitCredit2() {
                if (this.formData.amount_to_credit2 <= 0) {
                    return this.m_toast("不得少于1")
                }
                if (this.formData.amount_to_credit2 > 0 && this.formData.amount_to_credit2 > this.userinfo.credit3) {
                    return this.m_toast("余额不足")
                }

                this.m_loading()
                let data = {
                    amount: this.formData.amount_to_credit2
                }
                this.api.zone_coupon_exchange(data).then(res => {
                    this.m_hideLoading()
                    this.m_success('成功')
                    this.resetData()
                })
            }
        }

    }
</script>
